## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesLiaisonXalanDOMStringPool Class Reference

Inheritance diagram for XercesLiaisonXalanDOMStringPool:

[legend]
Collaboration diagram for XercesLiaisonXalanDOMStringPool:

[legend]
List of all members.

## Public Types

- typedef XalanDOMStringPool ParentType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  XMLMutex XMLMutexType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  XMLMutexLock XMLMutexLockType

## Public Member Functions

- XercesLiaisonXalanDOMStringPool (MemoryManagerType &theManager)
- virtual ~XercesLiaisonXalanDOMStringPool ()
- virtual void clear ()
    Clear the pool.
- virtual size_t size () const
    Get the number of strings in the pool.
- virtual const XalanDOMString & get (const XalanDOMString &theString)
    Get a pooled string.
- virtual const XalanDOMString & get (const XalanDOMChar *theString, XalanDOMString::size_type theLength=XalanDOMString::npos)
    Get a pooled string.

## Static Public Member Functions

- XercesLiaisonXalanDOMStringPool * create (MemoryManagerType &theManager)

## Member Typedef Documentation

typedef XalanDOMStringPool XercesLiaisonXalanDOMStringPool::ParentType

typedef XERCES_CPP_NAMESPACE_QUALIFIER XMLMutexLock XercesLiaisonXalanDOMStringPool::XMLMutexLockType

typedef XERCES_CPP_NAMESPACE_QUALIFIER XMLMutex XercesLiaisonXalanDOMStringPool::XMLMutexType

## Constructor & Destructor Documentation

XercesLiaisonXalanDOMStringPool::XercesLiaisonXalanDOMStringPool | ( | MemoryManagerType & | theManager | ) | `[explicit]`

virtual XercesLiaisonXalanDOMStringPool::~XercesLiaisonXalanDOMStringPool | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void XercesLiaisonXalanDOMStringPool::clear | ( |  | ) | `[virtual]`

| Clear the pool. Reimplemented from XalanDOMStringPool.

XercesLiaisonXalanDOMStringPool* XercesLiaisonXalanDOMStringPool::create | ( | MemoryManagerType & | theManager | ) | `[static]`

virtual const XalanDOMString& XercesLiaisonXalanDOMStringPool::get | ( | const XalanDOMChar * | theString,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[virtual]`

  | Get a pooled string. If the string is not pooled, it is added. Parameters:
  theString | The string to pool.
  theLength | The length of the string. If XalanDOMString::npos, the string is assumed to be null-terminated.
Returns: a const reference to the pooled string. Reimplemented from XalanDOMStringPool.

virtual const XalanDOMString& XercesLiaisonXalanDOMStringPool::get | ( | const XalanDOMString & | theString | ) | `[virtual]`

  | Get a pooled string. If the string is not pooled, it is added. Parameters:
  theString | The string to pool.
Returns: a const reference to the pooled string. Reimplemented from XalanDOMStringPool.

virtual size_t XercesLiaisonXalanDOMStringPool::size | ( |  | ) | const`[virtual]`

| Get the number of strings in the pool. Returns: the size of the pool. Reimplemented from XalanDOMStringPool.

The documentation for this class was generated from the following file:

- XercesLiaisonXalanDOMStringPool.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.